## plasma-widget-pgame 0.3

=== CMakeLists.txt ===
project( plasmalistwidget )

cmake_minimum_required( VERSION 2.6 )
set( KDE_MIN_VERSION "4.2.0" )

find_package( KDE4 REQUIRED )


INCLUDE_DIRECTORIES( ${KDE4_INCLUDES} ${QT_INCLUDE_DIR} )
add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} )
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} )
INCLUDE_DIRECTORIES( ${KDE4_INCLUDES} ${QT_INCLUDE_DIR} )
include( KDE4Defaults )

SET( SRCS pgame.cpp gamelist.cpp gameitem.cpp gamemodel.cpp )
kde4_add_ui_files( SRCS gamedialog.ui settings.ui appearance.ui )

QT4_ADD_RESOURCES( SRCS ${QtApp_RCCS} )
QT4_AUTOMOC( ${SRCS} )



kde4_add_plugin( plasma_applet_pgame  ${SRCS})
target_link_libraries( plasma_applet_pgame ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${QT_LIBRARIES} )
#SET(QtApp_RCCS icons.qrc)



# Install
install(TARGETS
    plasma_applet_pgame
    DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES
    plasma-applet_pgame.desktop.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-widget-pgame 0.4

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(plasma-pgame)
 
set(KDE_MIN_VERSION "4.2.87")
# Find the required Libaries
find_package(KDE4 REQUIRED)
find_package(Nepomuk REQUIRED)
#macro_optional_find_package(Nepomuk)

include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
set(pgame_SRCS pgame.cpp listwidget.cpp listwidgetitem.cpp)
kde4_add_ui_files(pgame_SRCS gamedialog.ui)

kde4_add_plugin(plasma_applet_pgame ${pgame_SRCS})
target_link_libraries(plasma_applet_pgame 
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${NEPOMUK_LIBRARIES} ${KDE4_KPARTS_LIBS})
 
install(TARGETS plasma_applet_pgame
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-pgame.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-widget-pgame (0.4-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Add build-depend on shared-desktop-ontologies
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-dependency to 7.3.16 or greater
    - Bump debian/compat to 7
  * Switch from the pkg-kde-tools cdbs rules to its dh7 kde sequence:
    - Remove cdbs build-dependency
    - Bump pkg-kde-tools build-depend version to 0.5.0 or greater

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 11:17:52 -0500

plasma-widget-pgame (0.3-0ubuntu1) karmic; urgency=low

  * Initial release. (Closes LP: #329626)

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 23 May 2009 19:34:58 +0200

=== debian/control ===
Source: plasma-widget-pgame
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michał Zając <michal.zajac@gmail.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev,
 shared-desktop-ontologies
Standards-Version: 3.9.1
Homepage: http://kde-look.org/content/show.php/PGame?content=99357

Package: plasma-widget-pgame
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plasma widget for launching games
 PGame is a menu widget for the Plasma desktop which manages different game 
 entries. This widget also allows additional arguments to modify each newly 
 created X session.
